#!/usr/bin/make -f

PERL ?= /usr/bin/perl

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

PPDFILE=$(CURDIR)/MailTools.ppd

%:
	dh $@

override_dh_clean:
	[ ! -f $(PPDFILE).save ] || mv -v $(PPDFILE).save $(PPDFILE)
	dh_clean

override_dh_auto_configure:
	[ ! -f $(PPDFILE) ] || cp -v $(PPDFILE) $(PPDFILE).save
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build

	cd $(CURDIR)/lib && \
		(for i in Mail/*.pod; do echo Mail::`basename $$i .pod` ; pod2text $$i | $(PERL) -ne '$$/=""; s/^DESCRIPTION// && print'; done) >> $(CURDIR)/debian/OVERVIEW

	cd examples && \
		$(PERL) forwd_demo.PL; $(PERL) rplyto_demo.PL; $(PERL) send_demo.PL
